site_name: Self Data Grand Lyon - Technical Docs
site_description: Self Data Grand Lyon Project Documentation with Markdown.
site_author: Métropole de Lyon
repo_name: "Clone the Project"
repo_url: "https://forge.grandlyon.com/web-et-numerique/llle_project/self-data-technical-doc"

theme:
  name: "material"
  # logo: 'img/self_data_grdlyon.png'
  favicon: 'img/self_data_grdlyon.png'
  palette:
    primary: "white"
    accent: "red"

markdown_extensions:
  - admonition
  - attr_list
  - pymdownx.emoji

extra_css:
  - 'stylesheets/extra.css'

nav:
  - Home: index.md
  - Pilote:
    - Introduction: pilote/index.md
  - Ecolyo:
    - Introduction: ecolyo/index.md
    - Getting started:
      - Setup your environment: ecolyo/getting_started/setup_your_environment.md
      - Launch the application on local: ecolyo/getting_started/launch_local_application.md
      - Launch a konnector on local: ecolyo/getting_started/launch_local_konnector.md
    - Project Architecture:
      - Architecture: ecolyo/project_architecture/architecture.md
      - Cozy: ecolyo/project_architecture/cozy.md
      - Environments: ecolyo/project_architecture/environments.md
      - DocTypes: ecolyo/project_architecture/doctypes.md
    - Application:
      - Description: ecolyo/application/description.md
      - Scaffolding: ecolyo/application/scaffolding.md
      - Services: ecolyo/application/services.md
      - Gitflow: ecolyo/application/gitflow.md
      - Deploy: ecolyo/application/deploy.md
    - Konnectors:
      - Enedis: ecolyo/konnectors/enedis.md
      - GRDF: ecolyo/konnectors/grdf.md
      - Eau du Grand Lyon: ecolyo/konnectors/egl.md
    - Functionalities: 
      - Challenge: ecolyo/functionalities/challenge.md
  - Proxy:
    - Description: proxy/description.md
    - Use cases:
      - Enedis: proxy/use_cases/enedis.md
      - Grdf Adict: proxy/use_cases/grdfadict.md
